
-- Duplicate/Expand SH data

alter session force parallel DML &parallelclause;

alter session force parallel query &parallelclause;

commit;

INSERT /*+ APPEND */ 
INTO &sales_target (
    PROD_ID,
    CUST_ID,
    TIME_ID,
    CHANNEL_ID,
    PROMO_ID,
    QUANTITY_SOLD,
    SELLER,
    FULFILLMENT_CENTER,
    COURIER_ORG,
    TAX_COUNTRY,
    TAX_REGION,
    AMOUNT_SOLD
)
SELECT /*+ PARALLEL(8) */
    PROD_ID,
    CUST_ID + &customeroffset,
    TIME_ID,
    CHANNEL_ID,
    PROMO_ID,
    QUANTITY_SOLD,
    SELLER,
    FULFILLMENT_CENTER,
    COURIER_ORG,
    TAX_COUNTRY,
    TAX_REGION,
    AMOUNT_SOLD
FROM SALES &whereclause;

commit;

INSERT /*+ APPEND */ 
INTO &customer_target (
    CUST_ID,
    CUST_FIRST_NAME,
    CUST_LAST_NAME,
    CUST_GENDER,
    CUST_YEAR_OF_BIRTH,
    CUST_MARITAL_STATUS,
    CUST_STREET_ADDRESS,
    CUST_POSTAL_CODE,
    CUST_CITY,
    CUST_CITY_ID,
    CUST_STATE_PROVINCE,
    CUST_STATE_PROVINCE_ID,
    COUNTRY_ID,
    CUST_MAIN_PHONE_NUMBER,
    CUST_INCOME_LEVEL,
    CUST_CREDIT_LIMIT,
    CUST_EMAIL,
    CUST_TOTAL,
    CUST_TOTAL_ID,
    CUST_SRC_ID,
    CUST_EFF_FROM,
    CUST_EFF_TO,
    CUST_VALID
)
SELECT /*+ PARALLEL(8) */
    CUST_ID + &customeroffset,
    CUST_FIRST_NAME,
    CUST_LAST_NAME,
    CUST_GENDER,
    CUST_YEAR_OF_BIRTH,
    CUST_MARITAL_STATUS,
    CUST_STREET_ADDRESS,
    CUST_POSTAL_CODE,
    CUST_CITY,
    CUST_CITY_ID,
    CUST_STATE_PROVINCE,
    CUST_STATE_PROVINCE_ID,
    COUNTRY_ID,
    CUST_MAIN_PHONE_NUMBER,
    CUST_INCOME_LEVEL,
    CUST_CREDIT_LIMIT,
    CUST_EMAIL,
    CUST_TOTAL,
    CUST_TOTAL_ID,
    CUST_SRC_ID,
    CUST_EFF_FROM,
    CUST_EFF_TO,
    CUST_VALID
FROM CUSTOMERS &whereclause;

commit;

INSERT /*+ APPEND */ 
INTO &sd_target
(   CUST_ID,
    EDUCATION,
    OCCUPATION,
    HOUSEHOLD_SIZE,
    YRS_RESIDENCE,
    AFFINITY_CARD,
    BULK_PACK_DISKETTES,
    FLAT_PANEL_MONITOR,
    HOME_THEATER_PACKAGE,
    BOOKKEEPING_APPLICATION,
    PRINTER_SUPPLIES,
    Y_BOX_GAMES,
    OS_DOC_SET_KANJI,
    COMMENTS
)
SELECT /*+ PARALLEL(8) */
    CUST_ID + &customeroffset,
    EDUCATION,
    OCCUPATION,
    HOUSEHOLD_SIZE,
    YRS_RESIDENCE,
    AFFINITY_CARD,
    BULK_PACK_DISKETTES,
    FLAT_PANEL_MONITOR,
    HOME_THEATER_PACKAGE,
    BOOKKEEPING_APPLICATION,
    PRINTER_SUPPLIES,
    Y_BOX_GAMES,
    OS_DOC_SET_KANJI,
    COMMENTS
FROM SUPPLEMENTARY_DEMOGRAPHICS &whereclause;

commit;

-- End of Script
